Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::UndirectedSegment Class Reference

`#include <undirected_segment.hpp>`

Inheritance diagram for osmium::UndirectedSegment:
[legend]
Collaboration diagram for osmium::UndirectedSegment:
[legend]

## Public Member Functions
| UndirectedSegment (const osmium::Location &location1, const osmium::Location &location2)
Public Member Functions inherited from osmium::Segment
constexpr | Segment (const osmium::Location &location1, const osmium::Location &location2) noexcept
constexpr osmium::Location | first () const noexcept
| Return first Location of Segment.
constexpr osmium::Location | second () const noexcept
| Return second Location of Segment.

## Additional Inherited Members
Protected Member Functions inherited from osmium::Segment
void | swap_locations ()

## Detailed Description

Undirected connection between two Locations. The first Location is always equal or "smaller" than the second Location, ie to the left and down.

## Constructor & Destructor Documentation

## ◆ UndirectedSegment()

osmium::UndirectedSegment::UndirectedSegment | ( | const osmium::Location & | location1,
|  | const osmium::Location & | location2 )
| inline explicit

The documentation for this class was generated from the following file:

- include/osmium/osm/undirected_segment.hpp